# ORCA DFT (BLYP) single point energy including D3 dispersion correction with Becke-Johnson damping

from chemsh       import *
from chemsh.utils import testutils

water = Fragment(coords="water.cjson")

# default functional is 'blyp'
# default: convergence='tightscf'
orca = ORCA(frag=water, method='dft', basis='3-21g', threshold=1.E-7, dispersion='d3bj')

sp = SP(theory=orca)

sp.run()

ecalc = sp.result.energy

# ORCA 5.0.3
# cf NWChem -75.947608829
eref = -75.947608749

testutils.validate(ecalc, eref)
